Subject: Re: bug#7296: display-pixel-height not enough

From: Jan Djärv <[email-masked]>
Date: Tue, 02 Nov 2010 18:54:19 +0100

2010-11-02 15:53, Eli Zaretskii skrev:
>> Date: Tue, 02 Nov 2010 14:25:49 +0100
>> From: "Jan D."<[email-masked]>
>> Cc:
>>
>>>> They are already implemented for X
>>> Where?  Maybe I misunderstood, but my impression from this discussion
>>> was that they aren't and actually the need for them and their utility
>>> are debatable.
>>>
>>
>> In xterm.c, do_ewmh_fullscreen.  I don't know why you say they are
>> debatable
>
> Like I said, I probably misunderstood.  It's easy, what with all the
> bikeshedding in this thread.
>
>> it is the only way to correctly make an Emacs frame full
>> height or full width or fullscreen or maximized.  It lets the WM do the
>> job, so Emacs doesn't need to count pixels and panels and taskbars and
>> autohide and whatever.
>
> I think the only practical way of doing the same on Windows is to
> exclude the area reserved for the task bar.  It could be that in a few
> rare cases this will produce less pixels than are strictly possible.
> So what are the objections to this (my original suggestion) at this
> point?  To be 100% clear, I suggest:
>
>    . on w32, return the dimensions sans the reserved part(s)
>    . on other GUI platforms, no change from the current behavior

Besides the position thing, it makes it impossible do some tasks, calculating 
dpi was mentioned.

But the biggest objection is that users will find that on w32 they can create 
a frame that doesn't cover the taskbar.  But when they run the same lisp code 
on X, it does cover the Gnome/KDE panels.

	Jan D.